
{: test that not disposing allocated memory issues a warning }

{$d+}
program d001( output );

var
   p1 : ^real;
   p2 : ^integer;
begin
   new(p1);
   p1^ := 100.6;
   new(p2);
   p2^ := 91;
   writeln( 'p1^ is ', p1^:1:1, ', p2^ is ', p2^:1 );
end. { d001 }

